
Foreman - Bug #3590

Error in encoding characters when creating a user

11/06/2013 10:29 AM - Antonio Sánchez Aguilar

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman version: 1.3.0

When creating a new user, it gives an error when inserting characters with accents. The language was Spanish, but when you set an

accent appears as invalid.

The foreman log (/var/log/foreman/production.log) includes the following:

Started POST "/users" for 10.227.21.69 at Wed Nov 06 11:26:08 +0100 2013

Processing by UsersController#create as HTML

Parameters: {"commit"=>"Introducir", "user"=>{"password"=>"[FILTERED]", "locale"=>"es", "role_ids"=>["", ""],

"compute_resources_andor"=>"or", "admin"=>"1", "domains_andor"=>"or", "login"=>"aaguilar", "hostgroups_andor"=>"or",

"facts_andor"=>"[FILTERED]", "firstname"=>"Prueba acéntos", "auth_source_id"=>"2", "subscribe_to_all_hostgroups"=>"0",

"password_confirmation"=>"[FILTERED]", "lastname"=>"Prueba", "mail"=>"prueba@prueba.com", "filter_on_owner"=>"0"},

"authenticity_token"=>"96shS6ULxu2cSIlbOWd+w0yFwKvmwVe3VQstisQ2lFw=", "utf8"=>"✓"}

Failed to save: Nombre no es válido

Rendered common/_edit_habtm.html.erb (0.4ms)

Rendered common/_edit_habtm.html.erb (0.4ms)

Rendered common/_edit_habtm.html.erb (0.4ms)

Rendered users/_user_fact.html.erb (6.0ms)

Rendered users/_filters.html.erb (278.8ms)

Rendered users/_form.html.erb (307.0ms)

Rendered users/new.html.erb within layouts/application (307.8ms)

Rendered home/_user_dropdown.html.erb (2.8ms)

Read fragment views/tabs_and_title_records-1 (0.5ms)

Rendered home/_topbar.html.erb (5.4ms)

Completed 200 OK in 342ms (Views: 316.3ms | ActiveRecord: 8.1ms)

Attached screenshot of foreman.

History

#1 - 04/20/2021 01:21 PM - Leos Stejskal

- Status changed from New to Closed

I'm closing the issue,

it have been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen it.

Files

bug.png 82.3 KB 11/06/2013 Antonio Sánchez Aguilar

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

mailto:prueba@prueba.com
http://www.tcpdf.org

